2017-09-25 18:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000270Kali Linux[All Projects] General Bugpublic2013-04-26 20:11
Reporter77zz01 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000270: live-build can't parse InRelease
DescriptionSame issues from here : http://bugs.kali.org/view.php?id=252

root@kali:~/live-build-config# lb build
[2013-04-15 14:27:55] lb build
P: Executing auto/build script.
[2013-04-15 14:27:55] lb build noauto
[2013-04-15 14:27:55] lb bootstrap
P: Setting up cleanup function
[2013-04-15 14:27:55] lb bootstrap_cache restore
P: Restoring bootstrap stage from cache...
[2013-04-15 14:27:56] lb bootstrap_cdebootstrap
P: Begin bootstrapping system...
[2013-04-15 14:27:56] lb testroot
P: If the following stage fails, the most likely cause of the problem is with your mirror configuration or a caching proxy.
P: Running cdebootstrap (download-only)...
P: Retrieving InRelease
P: Validating InRelease
I: Good signature from "Kali Linux Repository <devel@kali.org>"
P: Parsing InRelease
W: parser_rfc822: Iek! Don't find end of field, it seems to be after the end of the line!
E: Couldn't parse InRelease!
P: Begin unmounting filesystems...
P: Saving caches...
chroot: failed to run command `/usr/bin/env': No such file or directory
Steps To Reproduceapt-get update
apt-get install git live-build cdebootstrap kali-archive-keyring
git clone git://git.kali.org/live-build-config.git
cd live-build-config
lb config
lb build
Additional InformationFull log

root@kali:~# apt-get install git live-build cdebootstrap kali-archive-keyring
Reading package lists... Done
Building dependency tree
Reading state information... Done
git is already the newest version.
kali-archive-keyring is already the newest version.
The following extra packages will be installed:
  gnu-fdisk libdebian-installer-extra4 libdebian-installer4 live-boot-doc live-config-doc
  live-manual-html
Suggested packages:
  debian-keyring xorriso loadlin memtest86+ memtest86 mtools squashfs-tools mtd-tools syslinux
  grub win32-loader
The following NEW packages will be installed:
  cdebootstrap gnu-fdisk libdebian-installer-extra4 libdebian-installer4 live-boot-doc
  live-build live-config-doc live-manual-html
0 upgraded, 8 newly installed, 0 to remove and 291 not upgraded.
Need to get 852 kB of archives.
After this operation, 7,369 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://http.kali.org/kali/ kali/main libdebian-installer4 i386 0.87 [33.3 kB]
Get:2 http://http.kali.org/kali/ kali/main libdebian-installer-extra4 i386 0.87 [15.0 kB]
Get:3 http://http.kali.org/kali/ kali/main cdebootstrap i386 0.5.9 [33.1 kB]
Get:4 http://http.kali.org/kali/ kali/main live-boot-doc all 3.0~b11-1 [51.6 kB]
Get:5 http://http.kali.org/kali/ kali/main live-build all 3.0.1-1+kali1 [180 kB]
Get:6 http://http.kali.org/kali/ kali/main live-config-doc all 3.0.18-1 [49.9 kB]
Get:7 http://http.kali.org/kali/ kali/main live-manual-html all 1:3.0.1-1 [371 kB]
Get:8 http://http.kali.org/kali/ kali/main gnu-fdisk i386 1.2.4-3.1 [118 kB]
Fetched 852 kB in 3s (217 kB/s)
Selecting previously unselected package libdebian-installer4.
(Reading database ... 231220 files and directories currently installed.)
Unpacking libdebian-installer4 (from .../libdebian-installer4_0.87_i386.deb) ...
Selecting previously unselected package libdebian-installer-extra4.
Unpacking libdebian-installer-extra4 (from .../libdebian-installer-extra4_0.87_i386.deb) ...
Selecting previously unselected package cdebootstrap.
Unpacking cdebootstrap (from .../cdebootstrap_0.5.9_i386.deb) ...
Selecting previously unselected package live-boot-doc.
Unpacking live-boot-doc (from .../live-boot-doc_3.0~b11-1_all.deb) ...
Selecting previously unselected package live-build.
Unpacking live-build (from .../live-build_3.0.1-1+kali1_all.deb) ...
Selecting previously unselected package live-config-doc.
Unpacking live-config-doc (from .../live-config-doc_3.0.18-1_all.deb) ...
Selecting previously unselected package live-manual-html.
Unpacking live-manual-html (from .../live-manual-html_1%3a3.0.1-1_all.deb) ...
Selecting previously unselected package gnu-fdisk.
Unpacking gnu-fdisk (from .../gnu-fdisk_1.2.4-3.1_i386.deb) ...
Adding 'diversion of /usr/share/man/man8/cfdisk.8.gz to /usr/share/man/man8/cfdisk.distrib.8.gz by gnu-fdisk'
Adding 'diversion of /usr/share/man/man8/fdisk.8.gz to /usr/share/man/man8/fdisk.distrib.8.gz by gnu-fdisk'
Adding 'diversion of /sbin/fdisk to /sbin/fdisk.distrib by gnu-fdisk'
Adding 'diversion of /sbin/cfdisk to /sbin/cfdisk.distrib by gnu-fdisk'
Processing triggers for man-db ...
Processing triggers for install-info ...
Setting up libdebian-installer4 (0.87) ...
Setting up libdebian-installer-extra4 (0.87) ...
Setting up cdebootstrap (0.5.9) ...
Setting up live-boot-doc (3.0~b11-1) ...
Setting up live-build (3.0.1-1+kali1) ...
Setting up live-config-doc (3.0.18-1) ...
Setting up live-manual-html (1:3.0.1-1) ...
Setting up gnu-fdisk (1.2.4-3.1) ...

root@kali:~# git clone git://git.kali.org/live-build-config.git
Cloning into 'live-build-config'...
remote: Counting objects: 493, done.
remote: Compressing objects: 100% (244/244), done.
remote: Total 493 (delta 254), reused 430 (delta 220)
Receiving objects: 100% (493/493), 253.09 KiB | 159 KiB/s, done.
Resolving deltas: 100% (254/254), done.

root@kali:~# cd live-build-config/

root@kali:~/live-build-config# ls
auto build_all.sh config README

root@kali:~/live-build-config# lb config
[2013-04-15 14:26:40] lb config
P: Executing auto/config script.
ERROR: Run this first
ln -sf wheezy /usr/share/live/build/data/debian-cd/kali

root@kali:~/live-build-config# ln -sf wheezy /usr/share/live/build/data/debian-cd/kali

root@kali:~/live-build-config# lb config
[2013-04-15 14:27:29] lb config
P: Executing auto/config script.
[2013-04-15 14:27:29] lb config noauto --distribution kali --debian-installer-distribution kali --archive-areas main contrib non-free --bootstrap cdebootstrap --cdebootstrap-options --keyring=/usr/share/keyrings/kali-archive-keyring.gpg --suite-config=wheezy --keyring-packages kali-archive-keyring --updates false --backports false --source false --firmware-binary true --firmware-chroot true --mirror-bootstrap http://archive.kali.org/kali --mirror-debian-installer http://archive.kali.org/kali --mirror-chroot-security http://archive.kali.org/kali-security --mirror-binary http://http.kali.org/kali --mirror-binary-security http://security.kali.org/kali-security --iso-application Kali Linux --iso-publisher Kali --iso-volume Kali Live --linux-packages linux-image --bootappend-live boot=live noconfig=sudo username=root hostname=kali --debian-installer live --linux-flavours 686-pae
P: Considering defaults defined in /etc/live/build.conf
P: Updating config tree for a debian/i386 system

root@kali:~/live-build-config# lb build
[2013-04-15 14:27:55] lb build
P: Executing auto/build script.
[2013-04-15 14:27:55] lb build noauto
[2013-04-15 14:27:55] lb bootstrap
P: Setting up cleanup function
[2013-04-15 14:27:55] lb bootstrap_cache restore
P: Restoring bootstrap stage from cache...
[2013-04-15 14:27:56] lb bootstrap_cdebootstrap
P: Begin bootstrapping system...
[2013-04-15 14:27:56] lb testroot
P: If the following stage fails, the most likely cause of the problem is with your mirror configuration or a caching proxy.
P: Running cdebootstrap (download-only)...
P: Retrieving InRelease
P: Validating InRelease
I: Good signature from "Kali Linux Repository <devel@kali.org>"
P: Parsing InRelease
W: parser_rfc822: Iek! Don't find end of field, it seems to be after the end of the line!
E: Couldn't parse InRelease!
P: Begin unmounting filesystems...
P: Saving caches...
chroot: failed to run command `/usr/bin/env': No such file or directory

root@kali:~/live-build-config# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux Kali Linux 1.0
Release: Kali Linux 1.0
Codename: n/a
Attached Files

-Relationships
has duplicate 0000271resolvedWiK Unable to use live-build (see closed: 252) 
+Relationships

-Notes

~0000380

77zz01 (reporter)

Issue Solved !!!
This is a bug in package libdebian-installer4 .

Fixing it

apt-get remove --purge libdebian-installer4
wget http://ftp.debian.org/debian/pool/main/libd/libdebian-installer/libdebian-installer_0.85.tar.gz
tar xvf libdebian-installer_0.85.tar.gz
cd libdebian-installer/
grep -R parser_rfc822 src
apt-get install automake libtool
autoreconf -i -v
./configure
make
make install
git clone git://git.kali.org/live-build-config.git
cd live-build-config/
lb config
lb build

~0000403

Matir (reporter)

Rather than build from source, you can install from: http://snapshot.debian.org/package/libdebian-installer/0.85/#libdebian-installer4_0.85

But this ought to be resolved by the Kali developers, either by pinning the 0.85 release in Kali, or by changing to the separate Release/Release.gpg files as it seems Debian has (based on the changelog for libdebian-installer4).

~0000416

rhertzog (administrator)

So the problem is a mismatch between libdebian-installer4 (which disabled required support for InRelease) and cdebootstrap whick continues to use InRelease by default when available. Debian is not impacted because they dropped InRelease files from the mirrors, but we can't do it with (the current version of) reprepro.

cdebootstrap 0.5.10 disables InRelease support so instead I'll import this version into Kali. It should be available on mirrors really soon now.
+Notes

-Issue History
Date Modified Username Field Change
2013-04-15 18:38 77zz01 New Issue
2013-04-16 00:33 77zz01 Note Added: 0000380
2013-04-16 02:01 WiK Relationship added has duplicate 0000271
2013-04-25 04:49 Matir Note Added: 0000403
2013-04-26 20:11 rhertzog Note Added: 0000416
2013-04-26 20:11 rhertzog Assigned To => rhertzog
2013-04-26 20:11 rhertzog Status new => resolved
2013-04-26 20:11 rhertzog Resolution open => fixed
+Issue History